Bug 1288645 - (teem) Review Request: teem - Libraries for scientific raster data processing and visualizing
Review Request: teem - Libraries for scientific raster data processing and vi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-12-04 16:15 EST by Dmitry Mikhirev
Modified: 2016-02-02 16:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 16:10:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)
build failure on x86_64 (635.50 KB, text/plain)
2016-01-08 14:04 EST, Zbigniew Jędrzejewski-Szmek
no flags Details

  None (edit)
Description Dmitry Mikhirev 2015-12-04 16:15:37 EST
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/bizdelnick/neuro/teem.git/plain/teem.spec?id=c4062dcf9a54cb7f3d50e3a5c5aaf047dc2557fe
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/bizdelnick/neuro/fedora-rawhide-x86_64/00143767-teem/teem-1.11.0-1.fc24.src.rpm

Description:

Teem is a coordinated group of libraries for representing, processing, and visualizing scientific raster data. Teem includes command-line tools that permit the library functions to be quickly applied to files and streams, without having to write any code. The most important and useful libraries in Teem are:

- Nrrd (and the unu command-line tool on top of it) supports a range of operations for transforming N-dimensional raster data (resample, crop, slice, project, histogram, etc.), as well as the NRRD file format for storing arrays and their meta-information.
- Gage: fast convolution-based measurements at arbitrary point locations in volume datasets (scalar, vector, tensor, etc.)
- Mite: a multi-threaded ray-casting volume render with transfer functions based on any quantity Gage can measure
- Ten: for estimating, processing, and visualizing diffusion tensor fields, including fiber tractography methods.

This library is required to build 3D-Slicer that I'm going to package.
Comment 1 Igor Gnatenko 2015-12-06 07:21:43 EST
-> Libraries for scientific raster data processing and visualizing
for main package not correlates with %files, you have only tools, not libraries in main pkg.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-08 14:03:32 EST
During build:

1: /builddir/build/BUILD/teem-1.11.0-src/build/bin/nrrdSanity: formats supported in this build:
1: nrrd: yes
1: pnm: yes
1: png: not available
1: vtk: yes
1: text: yes
1: eps: yes
1: /builddir/build/BUILD/teem-1.11.0-src/build/bin/nrrdSanity: encodings supported in this build:
1: raw: yes
1: ascii: yes
1: hex: yes
1: gz: not available
1: bz2: not available

It looks like some build dependencies are missing.

Tests fail on x86_64 with:
33: /builddir/build/BUILD/teem-1.11.0-src/build/bin/test_probeSS: trouble creating volumes:
33: [probeSS] engageGenTensor: trouble loading from new vol tmp-ten.nrrd
...
28/35 Test #33: probeSS_ctmr02 ...................***Failed    0.41 sec
...
35/35 Test #26: kernall ..........................   Passed    7.61 sec
97% tests passed, 1 tests failed out of 35
Total Test time (real) =   8.18 sec
The following tests FAILED:
         33 - probeSS_ctmr02 (Failed)
Errors while running CTest
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-01-08 14:04 EST
Created attachment 1112962 [details]
build failure on x86_64
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-01-24 10:27:18 EST
What about the first part of comment #2?
Comment 6 Dmitry Mikhirev 2016-01-24 12:26:10 EST
I'm sorry, you are right. I really missed some optional dependencies that are visible in test log only. Now I added all of them except levmar because the code using it is broken and does not compile.

Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/bizdelnick/neuro/teem.git/plain/teem.spec?id=10ec5a4ba1e539ed9a2ded6d05de55a56780899d
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/bizdelnick/neuro/fedora-rawhide-x86_64/00155503-teem/teem-1.11.0-1.fc24.src.rpm
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-01-24 16:45:08 EST
+ latest version
+ package name is OK
+ Summary and %description are OK
+ scriptlets are OK
+ builds and installs OK
+ license is acceptable
+ license file is present, %license is used
+ %check is present
+ requires and provides look fine
+ fedora-review is happy
+ rpmlint finds nothing substantial

teem-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libteem.so.1.11.0 exit@GLIBC_2.2.5
You might want to investigate that.

Package is APPROVED.
Comment 8 Gwyn Ciesla 2016-01-28 09:57:58 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/teem

Note You need to log in before you can comment on or make changes to this bug.